---
updatedAt: 2025-06-03T01:07:31.000Z
agentTools:
  projectIndex: https://docs.knack.com/v3/llms.txt
---

# Object-Based DELETE

**URL**\
`DELETE https://api.knack.com/v1/objects/object_xx/records/record_ID`

**Parameters**

Parameter	Explanation	Example\
object\_xx	object key	object\_1\
record\_ID	Knack record ID	575482d691e16d4235adcdb6

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Explanation
      </th>

      <th>
        Example
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        object\_xx
      </td>

      <td>
        [object key](https://docs.knack.com/docs/finding-record-ids)
      </td>

      <td>
        object\_1
      </td>
    </tr>

    <tr>
      <td>
        record\_ID
      </td>

      <td>
        [Knack record ID](https://docs.knack.com/docs/finding-record-ids)
      </td>

      <td>
        575482d691e16d4235adcdb6
      </td>
    </tr>
  </tbody>
</Table>

**Headers**

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Key
      </th>

      <th>
        Value
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        X-Knack-Application-Id
      </td>

      <td>
        Your [application ID](https://docs.knack.com/docs/api-key-app-id)
      </td>
    </tr>

    <tr>
      <td>
        X-Knack-REST-API-KEY
      </td>

      <td>
        Your [API key](https://docs.knack.com/docs/api-key-app-id)
      </td>
    </tr>
  </tbody>
</Table>

**Example Request**

```curl
curl -X DELETE "https://api.knack.com/v1/objects/object_1/records/58645233669adec2460888c4"
  -H "X-Knack-Application-Id: YOUR-APP-ID" \
  -H "X-Knack-REST-API-Key: YOUR-API-KEY"
```

**Example Response (200 OK)**

```json
{
  "delete": true
}
```